<?php
// Setting Page
add_action( 'admin_menu', 'weather_effect' );
function weather_effect () {
	add_menu_page ( 'Weather Effect Setting', __( 'Weather Effect', WE_TXTD ), 'administrator', 'weather-effects-setting', 'weather_effect_setting_page', '' );
	add_submenu_page( 'weather-effects-setting', __( 'Featured Plugins', WE_TXTD ), __( 'Featured Plugins', WE_TXTD ),'administrator','we-featured-plugins','we_featured_plugins_page_body');   
	}
function weather_effect_setting_page(){
	//js
	wp_enqueue_script('jquery');
	wp_enqueue_script( 'snow-bootstrap-js',  WE_PLUGIN_PATH .'js/bootstrap.js', array( 'jquery' ), '', true  );	
	wp_enqueue_script( 'snow-christmas-snow-js',  WE_PLUGIN_PATH .'js/christmas-snow/christmas-snow.js');	
	wp_enqueue_script( 'snow-snow-falling-js',  WE_PLUGIN_PATH .'js/snow-falling/snow-falling.js');	
	wp_enqueue_script( 'snow-snowfall-master-js',  WE_PLUGIN_PATH .'js/snowfall-master/snowfall-master.min.js', array( 'jquery' ), '', true  );		
	wp_enqueue_script( 'snow-color-picker-js',  WE_PLUGIN_PATH .'js/color-picker.js', array( 'jquery', 'wp-color-picker' ), '', true  );

	//toggle button CSS
	wp_enqueue_style('awl-bootstrap-css', WE_PLUGIN_PATH . 'css/bootstrap.css');
	wp_enqueue_style('awl-toogle-button-css', WE_PLUGIN_PATH . 'css/toogle-button.css');
	wp_enqueue_style( 'snow-bootstrap-css',WE_PLUGIN_PATH.'css/sf-buttons-bootstrap.css' );
	wp_enqueue_style( 'snow-font-awesome-css',WE_PLUGIN_PATH.'css/font-awesome.css' );
	wp_enqueue_style( 'wp-color-picker' ); 
	//get values from database
	
	$weather_effect_settings = get_option('weather_effect_settings');
	//print_r($weather_effect_settings);
?>
<style>
	.snowfalls-page{
		background-color:#FFFFFF;
		margin-bottom: 20px;
		min-height: 20px;
		padding: 19px;
		border-radius: 20px !important:		
		box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	}
	.snowfalls-heading{
		margin-top:20px;
	}	
	.padding_settings {
		padding-left: 30px !important;
	}
	.bg_label {
		font-family: initial;
		font-size: large;
	}
	.bg_lower_label {
		font-family: bold;
		color: midnightblue;
	}
	.lower_label {
		font-family: bold;
		color: #4A7EC9;
		padding-left: 20px;
	}
</style>

<!--effect settings -->
<div class="container text-left">
	<div class="panel panel-default snowfalls-heading">
		<h2 class="text-center"><?php _e('Weather Effect Settings', WE_TXTD); ?></h2>
	</div>
	<div class="snowfalls-page">
		<form id="snowfall-setting-form">
			<div class="row">&nbsp;&nbsp;&nbsp;
				<label class="bg_lower_label"> <?php _e('Select A Weather Or Occasion', WE_TXTD); ?></label><br><br>
				<?php if(isset($weather_effect_settings['weather_occasion'])) $weather_occasion = $weather_effect_settings['weather_occasion']; else $weather_occasion = "christmas_check"; ?>			
				<select id="weather_occasion" name="weather_occasion" class="form-control" style="margin-left: 20px; width: 300px;">
					<option value="christmas_check" <?php if($weather_occasion == "christmas_check") echo "selected=selected"; ?>><?php _e('Christmas', WE_TXTD); ?></option>
					<option value="winter_check" <?php if($weather_occasion == "winter_check") echo "selected=selected"; ?>><?php _e('Winter', WE_TXTD); ?></option>
					<option value="autumn_check" <?php if($weather_occasion == "autumn_check") echo "selected=selected"; ?>><?php _e('Autumn', WE_TXTD); ?> </option>
					<option value="spring_check" <?php if($weather_occasion == "spring_check") echo "selected=selected"; ?>><?php _e('Spring', WE_TXTD); ?></option>
					<option value="summer_check" <?php if($weather_occasion == "summer_check") echo "selected=selected"; ?>><?php _e('Summer', WE_TXTD); ?></option>
					<option value="rainy_check" <?php if($weather_occasion == "rainy_check") echo "selected=selected"; ?>><?php _e('Rain', WE_TXTD); ?></option>
					<option value="halloween_check" <?php if($weather_occasion == "halloween_check") echo "selected=selected"; ?>><?php _e('Halloween', WE_TXTD); ?></option>
					<option value="thanks_giving_check" <?php if($weather_occasion == "thanks_giving_check") echo "selected=selected"; ?>><?php _e('Thanks Giving', WE_TXTD); ?></option>
					<option value="valentine_check" <?php if($weather_occasion == "valentine_check") echo "selected=selected"; ?>><?php _e('Valentine', WE_TXTD); ?></option>
					<option value="new_year_check" <?php if($weather_occasion == "new_year_check") echo "selected=selected"; ?>><?php _e('New Year', WE_TXTD); ?></option>
				</select>
			</div><br>
			<div>
				<?php 
					require_once('weather-settings/christmas-snow-settings.php');
					require_once('weather-settings/winter-settings.php');
					require_once('weather-settings/autumn-settings.php');
					require_once('weather-settings/spring-settings.php');
					require_once('weather-settings/summer-settings.php');
					require_once('weather-settings/rainy-settings.php');
					require_once('weather-settings/halloween-settings.php');
					require_once('weather-settings/thanks-giving-settings.php');
					require_once('weather-settings/valentine-settings.php');
					require_once('weather-settings/new-year-settings.php');
				?>
			</div>
			<script>
				// on change
				jQuery(document).ready(function(){
					jQuery("select").change(function(){
						jQuery(this).find("option:selected").each(function(){
							//1. christmas
							if(jQuery(this).attr("value")=="christmas_check"){
								jQuery("#christmas_weather_effect").show();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//2. winter
							if(jQuery(this).attr("value")=="winter_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").show();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//3. autumn
							if(jQuery(this).attr("value")=="autumn_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").show();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//4. spring
							if(jQuery(this).attr("value")=="spring_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").show();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//5. summer
							if(jQuery(this).attr("value")=="summer_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").show();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//6. halloween
							if(jQuery(this).attr("value")=="halloween_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").show();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//7. rainy
							if(jQuery(this).attr("value")=="rainy_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").show();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//8. thansk giving
							if(jQuery(this).attr("value")=="thanks_giving_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").show();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").hide();
							}
							//9. valentine
							if(jQuery(this).attr("value")=="valentine_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").show();
								jQuery("#new_year_weather_effect").hide();
							}
							//10. New Year
							if(jQuery(this).attr("value")=="new_year_check"){
								jQuery("#christmas_weather_effect").hide();
								jQuery("#winter_weather_effect").hide();
								jQuery("#autumn_weather_effect").hide();
								jQuery("#spring_effect_sh").hide();
								jQuery("#summer_weather_effect").hide();
								jQuery("#halloween_weather_effect").hide();
								jQuery("#rain_weather_effect").hide();
								jQuery("#thanksgiving_weather_effect").hide();
								jQuery("#valentine_weather_effect").hide();
								jQuery("#new_year_weather_effect").show();
							}
						});
					});
				});
				// on load
					jQuery('#weather_occasion').find("option:selected").each(function(){
						//1. christmas
						if(jQuery('#weather_occasion').attr("value")=="christmas_check"){
							jQuery("#christmas_weather_effect").show();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//2. winter
						if(jQuery('#weather_occasion').attr("value")=="winter_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").show();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//3. autumn
						if(jQuery('#weather_occasion').attr("value")=="autumn_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").show();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//4. spring
						if(jQuery('#weather_occasion').attr("value")=="spring_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").show();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//5. summer
						if(jQuery('#weather_occasion').attr("value")=="summer_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").show();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//6. halloween
						if(jQuery('#weather_occasion').attr("value")=="halloween_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").show();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//7. rainy
						if(jQuery('#weather_occasion').attr("value")=="rainy_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").show();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//8. thansk giving
						if(jQuery('#weather_occasion').attr("value")=="thanks_giving_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").show();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").hide();
						}
						//9. valentine
						if(jQuery('#weather_occasion').attr("value")=="valentine_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").show();
							jQuery("#new_year_weather_effect").hide();
						}
						if(jQuery('#weather_occasion').attr("value")=="new_year_check"){
							jQuery("#christmas_weather_effect").hide();
							jQuery("#winter_weather_effect").hide();
							jQuery("#autumn_weather_effect").hide();
							jQuery("#spring_effect_sh").hide();
							jQuery("#summer_weather_effect").hide();
							jQuery("#halloween_weather_effect").hide();
							jQuery("#rain_weather_effect").hide();
							jQuery("#thanksgiving_weather_effect").hide();
							jQuery("#valentine_weather_effect").hide();
							jQuery("#new_year_weather_effect").show();
						}
					});
			</script>
			
			<input type="hidden" id="snow_action" name="snow_action" value="save_setting">
			<div id="loading_icon" name="loading_icon" style="display:none;"> 
				<i class="fa fa-circle-o-notch fa-spin fa-3x fa-fw"></i>
				<span class=""><?php _e('Please wait...', WE_TXTD); ?></span>
			</div>
			<button type="button" id="save_setting" class="btn btn-info" onclick="SnowSaveSettings();"><?php _e('Save', WE_TXTD); ?></button>
			<button type="button" id="preview" onclick="PreviewSettings();" class="btn btn-info"><?php _e('Preview', WE_TXTD); ?></button>
			<br>
			<p style="font-family : cursive">&nbsp;Buy Premium Plugin To Get More Fall Effects & Weather Or Occasion effect <a href="http://awplife.com/account/signup/weather-effect-premium" target="_blank">Buy Now</a></p>
		</form> 
	<br><br>
	<hr>
	<h1>&nbsp;&nbsp;Offer: Upgrade To Premium Just In Half Price $10</h1>
	<div class="">&nbsp;&nbsp;&nbsp;&nbsp;
		<a href="https://awplife.com/account/signup/weather-effect-premium" target="_blank" class="button button-primary button-hero load-customize hide-if-no-customize">Premium Version Details</a>
		<a href="https://awplife.com/demo/weather-effect/" target="_blank" class="button button-primary button-hero load-customize hide-if-no-customize">Check Live Demo</a>
		<a href="https://awplife.com/demo/weather-effect-premium-admin-demo/" target="_blank" class="button button-primary button-hero load-customize hide-if-no-customize">Try Pro Version</a>
	</div>
	<hr>
	<style>
		.awp_bale_offer {
			background-image: url("<?php echo WE_PLUGIN_PATH ?>/images/awp-bale.jpg");
			background-repeat:no-repeat;
			padding:30px;
		}
		.awp_bale_offer h1 {
			font-size:35px;
			color:#FFFFFF;
		}
		.awp_bale_offer h3 {
			font-size:25px;
			color:#FFFFFF;
		}
	</style>
	<div class="row awp_bale_offer">
		<div class="">
			<h1>Plugin's Bale Offer</h1>
			<h3>Get All Premium Plugin ( Personal Licence) in just $149 </h3>
			<h3><strike>$399</strike> For $149 Only</h3>
		</div>
		<div class="">
			<a href="https://awplife.com/account/signup/all-premium-plugins" target="_blank" class="button button-primary button-hero load-customize hide-if-no-customize">BUY NOW</a>
		</div>
	</div>
	<hr>
		<p class="">
			<h2><strong>Try Our Other Plugins:</strong></h2>
			<br>
			<a href="https://wordpress.org/plugins/portfolio-filter-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Portfolio Filter Gallery</a>
			<a href="https://wordpress.org/plugins/new-grid-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Grid Gallery</a>
			<a href="https://wordpress.org/plugins/new-photo-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Photo Gallery</a>
			<a href="https://wordpress.org/plugins/responsive-slider-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Responsive Slider Gallery</a>
			<a href="https://wordpress.org/plugins/new-contact-form-widget/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Contact Form Widget</a>
			<a href="https://wordpress.org/plugins/slider-responsive-slideshow/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Slider Responsive Slideshow</a><br><br>
			<a href="https://wordpress.org/plugins/new-video-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Video Gallery</a>
			<a href="https://wordpress.org/plugins/facebook-likebox-widget-and-shortcode/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Facebook Likebox Plugin</a>
			<a href="https://wordpress.org/plugins/new-google-plus-badge/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Google Plus Badge</a>
			<a href="https://wordpress.org/plugins/new-social-media-widget/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Social Media</a>
			<a href="https://wordpress.org/plugins/media-slider/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Media Slider</a>
			<a href="https://wordpress.org/plugins/weather-effect/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Weather Effect</a><br><br>
			<a href="https://wordpress.org/plugins/modal-popup-box/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Modal Popup Box</a>
			<a href="https://wordpress.org/plugins/wp-flickr-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Flickr gallery</a>
			<a href="https://wordpress.org/plugins/floating-news-headline/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Floating News Headline</a>
			<a href="https://wordpress.org/plugins/insta-type-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Instagram type Gallery</a>
			<a href="https://wordpress.org/plugins/new-image-gallery/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Image Gallery</a>
			<a href="https://wordpress.org/plugins/facebook-likebox-widget-and-shortcode/" target="_blank" class="button button-primary load-customize hide-if-no-customize">Facebook Likebox Plugin</a>
		</p>
	</div>
</div>
<script>
	function SnowSaveSettings() {
		jQuery("#loading_icon").show();
		jQuery("#save_setting").hide();
		jQuery("#preview").hide();
		jQuery.ajax({
			dataType : 'html',
			type: 'POST',
			url : location.href,
			cache: false,
			data : jQuery('#snowfall-setting-form').serialize() + '&snow_action=save_setting',
			complete : function() {  },
			success: function(data) {
				jQuery("#loading_icon").hide();
				jQuery('#result-msg').html(jQuery(data).find('div#setting-result'));
				jQuery("div#setting-result").fadeOut( 5000, "linear" );
				jQuery("#save_setting").show();
				jQuery("#preview").show();
			}
		});
	}
	//preview button setting	
	function PreviewSettings() {
		 location.reload();
	} 
	 
	//range slider
	var rangeSlider = function(){
		var slider = jQuery('.range-slider'),
		range = jQuery('.range-slider__range'),
		value = jQuery('.range-slider__value');

		slider.each(function(){
			value.each(function(){
				var value = jQuery(this).prev().attr('value');
				jQuery(this).html(value);
			});
			range.on('input', function(){
				jQuery(this).next(value).html(this.value);
			});
		});
	};
	rangeSlider();	
</script>
<?php	
	//save settings
	if(isset($_POST['snow_action'])){
		//$snownewsettings = array(
			
		//);
		update_option( 'weather_effect_settings', $_POST );
	} // end of save if	 
} // end of setting page fuction

//doc page
function we_featured_plugins_page_body() {
	require_once('featured-plugins/featured-plugins.php');	
}
?>